<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

    <ui:define name="contenido">
        <h:form prependId="false" class="ui menu" >
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="user icon" />
                    Funcionarios
                </div>
            </div>
            <div class="right menu">
                <div class="ui right aligned category search item">
                    <div class="ui transparent icon input">
                        <h:inputText id="in-busqueda" value="#{funcionarioManBean.busqueda}" class="prompt" pt:placeholder="Buscar..." />
                        <i class="search icon" />
                    </div>
                    <h:commandLink id="cml-buscar" action="#{funcionarioManBean.filtrar()}" style="display: none;">
                        <f:ajax execute="@this in-busqueda" render="tablafuncionario" />
                    </h:commandLink>
                </div>
                <div class="item">
                    <div id="btnEliminar" style="display: none;" class="ui red icon button" onclick="mostrarModalEliminacion();" data-tooltip="Eliminar seleccionados" data-inverted="" data-position="bottom right">
                        <i class="trash icon" />
                    </div>
                    <div class="ui green icon button" onclick="limpiarCampos()" style="margin-left: 5px;" data-tooltip="Nuevo funcionario" data-inverted="" data-position="bottom right">
                        <i class="add icon" />
                    </div>
                </div>
            </div>
        </h:form>
        <div class="ui grid">
            <div class="eleven wide column">
                <table jsf:id="tablafuncionario" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th class="collapsing" onclick="seleccionarTodo()">
                                <div  class="ui fitted checkbox">
                                    <input type="checkbox" id="chk-gral"/>
                                    <label/>
                                </div>
                            </th>
                            <th class="collapsing">Cód.</th>
                            <th>Nombres</th>
                            <th>Apellidos</th>
                            <th>Telefono</th>
                            <th>Cargo</th>
                            <th>CI</th>
                            <th class="collapsing"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr jsf:rendered="#{empty funcionarioManBean.lstFuncionarios}">
                            <td class="center aligned disabled" colspan="7">(Ningún funcionario)</td>
                        </tr>
                        <ui:repeat value="#{funcionarioManBean.lstFuncionarios}" var="func">
                            <tr id="rw-#{func.idfuncionario}" style="cursor: pointer">
                                <td onclick="agregarSeleccion(#{func.idfuncionario})">
                                    <div  class="ui fitted checkbox">
                                        <input type="checkbox" id="chk-#{func.idfuncionario}"/>
                                        <label/>
                                    </div>
                                </td>
                                <td id="col-idfunc-#{func.idfuncionario}" onclick="seleccionUnica(#{func.idfuncionario})">#{func.idfuncionario}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.nombres}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.apellidos}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.telefono1}</td>
                                <td onclick="seleccionUnica(#{func.idfuncionario})">#{func.cargo.nombre}</td>
                                <td class="right aligned" onclick="seleccionUnica(#{func.idfuncionario})">
                                    <h:outputText value="#{func.ci}">
                                        <f:convertNumber pattern="#,###,###,###" />
                                    </h:outputText>
                                </td>
                                <td>
                                    <span data-tooltip="#{func.activo?'Activo':'Inactivo'}" data-inverted="">
                                        <i class="#{func.activo?'green checkmark icon':'black minus icon'}" />
                                    </span>
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                </table>
            </div>
            <div class="five wide column">
                <h:form id="form" prependId="false" class="ui form">
                    <div class="field">
                        <label>Código</label>
                        <h:inputText pt:placeholder="Código" id="in-idfuncionario" value="#{funcionarioManBean.idfuncionario}" pt:readonly=""/>
                    </div>
                    <div class="fields">
                        <div id="fieldNombres" class="required eight wide field">
                            <label>Nombres</label>
                            <h:inputText id="in-nombres" pt:placeholder="Ej: Juan" value="#{funcionarioManBean.nombres}" />
                        </div>
                        <div id="fieldApellidos" class="eight wide field">
                            <label>Apellidos</label>
                            <h:inputText id="in-apellidos" pt:placeholder="Ej: Perez" value="#{funcionarioManBean.apellidos}" />
                        </div>
                    </div>
                    <div id="fieldCargo" class="required field">
                        <label>Cargo</label>
                        <div id="cmbCargo" class="ui selection dropdown">
                            <h:inputHidden id="in-idcargo" value="#{funcionarioManBean.idcargo}" />
                            <i class="dropdown icon" />
                            <div class="default text">Cargo</div>
                            <div class="menu">
                                <ui:repeat  value="#{funcionarioManBean.lstCargos}" var="cargo">
                                    <div class="item" data-value="#{cargo.idcargo}">#{cargo.nombre}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div class="fields">
                        <div class="eight wide field">
                            <label>Telefono</label>
                            <h:inputText id="in-telefono1" pt:placeholder="Ej: 0971999666" value="#{funcionarioManBean.telefono1}"/>
                        </div>
                        <div class="eight wide field">
                            <label>Telefono 2</label>
                            <h:inputText id="in-telefono2" pt:placeholder="Ej: 0971999666" value="#{funcionarioManBean.telefono2}"/>
                        </div>
                    </div>
                    <div class="field">
                        <label>Documento</label>
                        <h:inputText id="in-ci" pt:placeholder="Ej: 4111222" value="#{funcionarioManBean.ci}" />
                    </div>
                    <div class="field">
                        <label>Contraseña</label>                        
                    </div>
                    <div class="fields">
                        <div id="fieldPassword" class="eight wide field">
                            <h:inputSecret id="in-pass" pt:placeholder="Contraseña" value="#{funcionarioManBean.password}"/>
                        </div>
                        <div id="fieldPassword2" class="eight wide field">
                            <input type="password" id="in-pass2" placeholder="Confirmar contraseña"/>
                        </div>
                    </div>
                    <div class="field">
                        <div class="ui checkbox">
                            <input jsf:id="in-estado" type="checkbox" jsf:value="#{funcionarioManBean.activo}"/>
                            <label>Activo</label>
                        </div> 
                    </div>
                    <div class="field">
                        <h:commandLink id="btnGuardar" onclick="return validar();" action="#{funcionarioManBean.guardarFuncionario()}" class="ui right labeled blue icon button">
                            Guardar
                            <i class="save icon" />
                            <f:ajax execute="@form" render="tipoMsg cabeceraMsg cuerpoMsg tablafuncionario in-idfuncionario" onevent="function(data){ajaxGuardarFuncionario(data)}" />
                        </h:commandLink>
                        <h:commandLink style="display: none" id="cml-cargardatos" action="#{funcionarioManBean.cargarDatos()}">
                            <f:ajax execute="@this in-idfuncionario" render="@form" onevent="function(data){ajaxCargarFuncionario(data)}" />
                        </h:commandLink>
                    </div>

                </h:form>
                <h:form id="msg" prependId="false" class="ui hidden message">
                    <h:inputHidden id="tipoMsg" value="#{funcionarioManBean.tipoMsg}" />
                    <i class="close icon"></i>
                    <div class="header">
                        <h:outputText id="cabeceraMsg" value="#{funcionarioManBean.cabeceraMsg}" />
                    </div>
                    <p><h:outputText id="cuerpoMsg" value="#{funcionarioManBean.cuerpoMsg}" />
                    </p>
                </h:form>
                <h:form prependId="false" id="dlg-conf-elim" class="ui basic modal">
                    <h:inputHidden id="selbar" value="#{funcionarioManBean.jsonSelecionFuncionario}"/>
                    <div class="ui icon header">
                        <i class="user icon"></i>
                        Eliminar Funcionarios
                    </div>
                    <div class="centered content">
                        <p>¿Desea eliminar los elementos seleccionados?</p>
                    </div>
                    <div class="actions">
                        <div class="ui basic cancel inverted icon button">
                            <i class="remove icon"></i>
                            Cancelar
                        </div>
                        <h:commandLink action="#{funcionarioManBean.eliminarFuncionario()}" class="ui inverted red icon button">
                            <i class="trash icon"></i>
                            Eliminar
                            <f:ajax execute="@form" render="tipoMsg cabeceraMsg cuerpoMsg tablafuncionario" onevent="function(data){ajaxEliminarFuncionarios(data)}" />
                        </h:commandLink>
                    </div>
                </h:form>
            </div>
        </div>
        <h:outputScript target="body" library="js" name="funcionarios/funcionarios.js" />
    </ui:define>
</ui:composition>